LMDE BREAKAGES - tracking TESTING

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby Lippy on Wed May 09, 2012 9:19 pm

Hmm... perhaps the problem also depends on the video driver. I think this is the bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=666468. I'm currently using the nouveau driver.

Anyway, these are the packages I upgraded before I got the corrupted text problem in Iceweasel:
LMDE DU 09/05

After I noticed the problem, I then downgraded Cairo which I pulled from Mint Latest since that has the previous version (and removed Banshee and its dependencies since I don't use it now), which fixed the problem for me:
LMDE Cairo Downgrade
LMDE (tracking Testing) with Cinnamon; Intel Core 2 Duo E8400, Nvidia GeForce GTX 260 (using Nouveau)
Lippy
Level 2
Level 2
 
Posts: 68
Joined: Thu Oct 06, 2011 12:28 pm

Linux Mint is funded by ads and donations.
 

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby zerozero on Wed May 09, 2012 10:01 pm

Lippy, i was reading the debian bug report you linked (and specially the one at freedesktop https://bugs.freedesktop.org/show_bug.cgi?id=47266) and really it looks like it's drivers related. until comment 33 all the reports were about ati and that one is about nouveau https://bugs.freedesktop.org/show_bug.cgi?id=47266#c33
so it's "normal" i wouldn't notice that here (or in the laptop).
at freedesktop (to the end of the bug report) it seems that ati is fixed, it leaves nouveau is still out (meaning you, bad luck :mrgreen: ).
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby Lippy on Wed May 09, 2012 10:19 pm

Ah hehe. Not a problem anyway. I can just hold Cairo back until nouveau is fixed. Thanks for the help, zerozero! :)
LMDE (tracking Testing) with Cinnamon; Intel Core 2 Duo E8400, Nvidia GeForce GTX 260 (using Nouveau)
Lippy
Level 2
Level 2
 
Posts: 68
Joined: Thu Oct 06, 2011 12:28 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby Transitman on Thu May 10, 2012 1:46 pm

For the last 2 days, when notified of pending updates, I open synaptic to what is going to change.
Yesterday and today appears to have some packages for both Gnome 3.4 and KDE 4.8.
When I tell it to mark all for upgrade I get a long list of packages, some of which I am using regularly, the synaptic wants to uninstall.
I then go and mark each individual one to see who is the culprit and it is those packages from Gnome 3.4 and KDE 4.8 causing the problems.
For the moment, I've set my repos to Squeeze and will revisit Testing sometime next week.

This is an FYI for those who are scratching their head wondering whats going on.
Transitman
Level 2
Level 2
 
Posts: 98
Joined: Sun Dec 02, 2007 1:48 am

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby viking777 on Thu May 10, 2012 2:00 pm

I have just updated both debian testing and lmde (less than 1 hour ago) and have had no packages removed at all (maybe my mirror is a bit behind yours). I did get one package marked as no longer required but that is all.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby zerozero on Thu May 10, 2012 2:18 pm

i got a fair amount of gtk3.4 yesterday and this morning (even thought that gnome-shell3.4 was coming in, but nahh :lol: ) and a lot of qt4.8 just now (so i presume that finally they decided to start packaged kde4.8) but nothing abnormal
du-10-may
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby viking777 on Thu May 10, 2012 2:30 pm

zerozero wrote:i got a fair amount of gtk3.4 yesterday and this morning (even thought that gnome-shell3.4 was coming in, but nahh :lol: ) and a lot of qt4.8 just now (so i presume that finally they decided to start packaged kde4.8) but nothing abnormal.


Same here, gtk 3.4 (dont use kde, so no qt). Debian weather shows bright and sunny :D All is well in debian testing land for me.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby GeneC on Thu May 10, 2012 2:49 pm

viking777 wrote:................................... Debian weather shows bright and sunny :D All is well in debian testing land for me.


:shock: :shock: :shock:
Code: Select all
Calculating upgrade... Done

The following packages will be REMOVED:

  apturl awn-applets-c-extras banshee banshee-extension-soundmenu evolution-data-server gimp gir1.2-sushi-1.0 gnome-contacts gnome-control-center gnome-session-fallback
  gnome-sushi gnome-user-guide gnome-utils-common libedata-book-1.2-11 libfolks-eds25 libgail-gnome-module libglade2.0-cil libgnome2.24-cil libgnomepanel2.24-cil
  libgoa-1.0-0 libgtk-sharp-beans-cil libgtk2.0-cil libmono-addins-gui0.2-cil libnotify0.4-cil libpanel-applet2-0 libqtgui4 libsushi-1.0-0 libwebkitgtk-1.0-0
  libwebkitgtk-3.0-0 libyelp0 metacity mintinstall mintnanny mintwelcome pinta python-gnomeapplet python-webkit shiki-colors-metacity-theme shiki-wise-theme startupmanager tomboy unetbootin vlc yelp zenity

The following NEW packages will be installed:
  libexiv2-12 libgdict-common shiki-colors-xfwm-theme xfwm4 xfwm4-themes

The following packages have been kept back:
  gthumb

The following packages will be upgraded:
  baobab dnsmasq-base eog exiv2 gedit gedit-common gedit-plugins gir1.2-gtk-3.0 gir1.2-panelapplet-4.0 gnome-desktop3-data gnome-dictionary gnome-panel gnome-panel-data
  gnome-power-manager gnome-system-log gnome-themes-standard kbd libgail-3-0 libgdict-1.0-6 libglib-perl libglib2.0-cil libgmlib0 libgmtk0 libgmtk0-data
  libgnome-desktop-3-2 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2-perl libgtkmm-3.0-1 libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libnautilus-extension1a
  libpanel-applet-4-0 libqt4-dbus libqt4-network libqt4-xml libqtcore4 libtag1-vanilla libtag1c2a libtagc0 linux-headers-3.2.0-2-common linux-libc-dev nautilus
  nautilus-data qdbus tzdata tzdata-java ufraw-batch update-sun-jre

50 upgraded, 5 newly installed, 45 to remove and 1 not upgraded.
Need to get 56.2 MB of archives.
After this operation, 122 MB disk space will be freed.
Do you want to continue [Y/n]? n
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby zerozero on Thu May 10, 2012 2:55 pm

:shock: ohh are you ahead of us :?: :!:
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby viking777 on Thu May 10, 2012 2:59 pm

Must be the servers then - I just refreshed mine and I have no updates available at all - I will leave it that way for now and try again tomorrow morning. Gene will have sorted it out for me by then :lol:
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby GeneC on Thu May 10, 2012 3:01 pm

'zz'

Yes. I am afraid I did not take your wise advice, and had 'Safe upgraded' (sudo apt-get update && sudo apt-get upgrade) a few times when things got 'stuck' :lol:
We shall see what happens. :?:
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby GeneC on Thu May 10, 2012 3:09 pm

Hmm.

Appears most of MY problem is apt-pinning (again ignoring 'zerozero's sage advice :oops: ).

If I change
Code: Select all
Package: *
Pin: release o=Debian
Pin-Priority: 500

to
Code: Select all
Package: *
Pin: release o=Debian
Pin-Priority: 700


I get =

Code: Select all
Calculating upgrade... Done

The following packages will be REMOVED:
  gnome-utils-common libgail-gnome-module libgnomepanel2.24-cil libpanel-applet2-0 python-gnomeapplet

The following NEW packages will be installed:
  libexiv2-12 libgdict-common

The following packages will be upgraded:
  banshee baobab dnsmasq-base eog exiv2 fontconfig fontconfig-config gedit gedit-common gedit-plugins gir1.2-gtk-3.0 gir1.2-panelapplet-4.0 gnome-desktop3-data
  gnome-dictionary gnome-panel gnome-panel-data gnome-power-manager gnome-system-log gnome-themes-standard gthumb gtk2-engines-aurora kbd libcairo-gobject2 libcairo2
  libfontconfig1 libgail-3-0 libgdict-1.0-6 libglib-perl libglib2.0-cil libgmlib0 libgmtk0 libgmtk0-data libgnome-desktop-3-2 libgtk-3-0 libgtk-3-bin libgtk-3-common
  libgtk2-perl libgtk2.0-cil libgtkmm-3.0-1 libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libnautilus-extension1a libpanel-applet-4-0 libqt4-dbus libqt4-network
  libqt4-xml libqtcore4 libqtgui4 libtag1-vanilla libtag1c2a libtagc0 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 linux-headers-3.2.0-2-common linux-libc-dev nautilus
  nautilus-data qdbus tzdata tzdata-java ufraw-batch

61 upgraded, 2 newly installed, 5 to remove and 0 not upgraded.
Need to get 83.1 MB of archives.
After this operation, 7,667 kB of additional disk space will be used.
Do you want to continue [Y/n]?
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby zerozero on Thu May 10, 2012 3:20 pm

:oops: how goes the saying? :lol: i told ...
now, for real, you don't need to change it to 700, put'em all at 500 and check again.
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby GeneC on Thu May 10, 2012 3:24 pm

zerozero wrote::oops: how goes the saying? :lol: i told ...
............



Its not that I want to ignore your advice. I am sure its good. Its more I just want to see what happens. :lol:
I am sure you understand. :wink:

Image :lol: :lol:

put'em all at 500 and check again


Same removals as first time.

EDIT:
Sorry, a little slower than ususal today (not feeling great) :?

ALL AT 500

Code: Select all
Calculating upgrade... Done
The following packages will be REMOVED:
  gnome-utils-common libgail-gnome-module libgnomepanel2.24-cil libpanel-applet2-0 python-gnomeapplet
The following NEW packages will be installed:
  libexiv2-12 libgdict-common
The following packages will be upgraded:
  banshee baobab dnsmasq-base eog exiv2 fontconfig fontconfig-config gedit gedit-common gedit-plugins gir1.2-gtk-3.0 gir1.2-panelapplet-4.0 gnome-desktop3-data
  gnome-dictionary gnome-panel gnome-panel-data gnome-power-manager gnome-system-log gnome-themes-standard gthumb gtk2-engines-aurora kbd libcairo-gobject2 libcairo2
  libfontconfig1 libgail-3-0 libgdict-1.0-6 libglib-perl libglib2.0-cil libgmlib0 libgmtk0 libgmtk0-data libgnome-desktop-3-2 libgtk-3-0 libgtk-3-bin libgtk-3-common
  libgtk2-perl libgtk2.0-cil libgtkmm-3.0-1 libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libnautilus-extension1a libpanel-applet-4-0 libqt4-dbus libqt4-network
  libqt4-xml libqtcore4 libqtgui4 libtag1-vanilla libtag1c2a libtagc0 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 linux-headers-3.2.0-2-common linux-libc-dev nautilus
  nautilus-data qdbus tzdata tzdata-java ufraw-batch
61 upgraded, 2 newly installed, 5 to remove and 0 not upgraded.
Need to get 83.1 MB of archives.
After this operation, 7,667 kB of additional disk space will be used.
Do you want to continue [Y/n]?
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby zerozero on Thu May 10, 2012 3:55 pm

Sorry, a little slower than ususal today (not feeling great) :?

:?: take care

Code: Select all
The following packages will be REMOVED:
  gnome-utils-common libgail-gnome-module libgnomepanel2.24-cil libpanel-applet2-0 python-gnomeapplet

i have none of those pkgs here
Code: Select all
amadeu@amadeu ~ $ apt-cache policy gnome-utils-common libgail-gnome-module libgnomepanel2.24-cil libpanel-applet2-0 python-gnomeapplet
gnome-utils-common:
  Installed: (none)
  Candidate: (none)
  Version table:
libpanel-applet2-0:
  Installed: (none)
  Candidate: (none)
  Version table:
     2.30.2-4+b1 0
        100 /var/lib/dpkg/status
N: Unable to locate package libgail-gnome-module
N: Unable to locate package libgnomepanel2.24-cil
N: Couldn't find any package by regex 'libgnomepanel2.24-cil'
N: Unable to locate package python-gnomeapplet

:D
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby GeneC on Thu May 10, 2012 4:00 pm

'zz'

Thanks. :D
I'll get back to this tomorrow. Re-track my steps and find where I botched it up.. :roll:
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
Sparky Gnome 3.14 (SID)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1565
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby iLobster on Fri May 11, 2012 3:10 am

So as I can understand from all of you last few pages it's normal that I can't update gnome 3.4 and qt4 packages, right? ))
And what will be the light in the tunnel end? New cinnamon version?

And what about fontconfig1 ?
iLobster
Level 2
Level 2
 
Posts: 69
Joined: Fri Jul 08, 2011 9:07 am

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby Lippy on Fri May 11, 2012 4:15 am

iLobster wrote:So as I can understand from all of you last few pages it's normal that I can't update gnome 3.4 and qt4 packages, right? ))
And what will be the light in the tunnel end? New cinnamon version?

And what about fontconfig1 ?

I don't have any packages related to the Gnome 3.4 update held back and Cinnamon is still working fine here. The only packages I have held back were causing other problems and most are specific to my system. I have fontconfig updated to 2.9.0-3 and there's no problems with that. Fonts do look a little different now, but I don't think they are any worse than they were before.

It's the Clutter update to watch out for, as that will definitely break Cinnamon. Sid has had it already, but we haven't yet. As long as you keep it at version 1.8.x it should be good. I'm not sure if there's anything else coming down the pipe that could break it though.

In the end, it seems like your mileage may vary. I'd say we are in a slight turbulence right now. :mrgreen:
LMDE (tracking Testing) with Cinnamon; Intel Core 2 Duo E8400, Nvidia GeForce GTX 260 (using Nouveau)
Lippy
Level 2
Level 2
 
Posts: 68
Joined: Thu Oct 06, 2011 12:28 pm

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby viking777 on Fri May 11, 2012 5:24 am

Thing is Lippy and iLobster, by running LMDE tracking testing with a Cinnamon desktop you have effectively removed yourselves from all forms of support except yourself and the community. Cinnamon is not part of Debian, so the Debian project has no interest in what effect their package upgrades have on that DE. Clem obviously does have an interest in this but he will support it via the update packs, which you aren't using (or if you are using them, you shouldn't be posting here). So if you want 'professional' support you should either use the gnome-shell DE which will be supported by Debian, or update packs which will be supported by Clem. Otherwise you are on your own with the setup you have and of course you will get breakages from time to time.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking TESTING - updated 7 May

Postby Lippy on Fri May 11, 2012 8:22 am

viking777 wrote:Thing is Lippy and iLobster, by running LMDE tracking testing with a Cinnamon desktop you have effectively removed yourselves from all forms of support except yourself and the community. Cinnamon is not part of Debian, so the Debian project has no interest in what effect their package upgrades have on that DE. Clem obviously does have an interest in this but he will support it via the update packs, which you aren't using (or if you are using them, you shouldn't be posting here). So if you want 'professional' support you should either use the gnome-shell DE which will be supported by Debian, or update packs which will be supported by Clem. Otherwise you are on your own with the setup you have and of course you will get breakages from time to time.

I'm aware with that and I'm OK with it. I prefer to be more on the edge and if something breaks, then that's my own fault for being on Testing. I just report in here if I notice that something has gone wrong in order to give a heads up to other people. I'm not complaining or anything; I enjoy tinkering with stuff and really I've been getting bored of having no breakages until now! :)

If you prefer, I can start a new thread for the Cinnamon-specific stuff if that is more appropriate.
LMDE (tracking Testing) with Cinnamon; Intel Core 2 Duo E8400, Nvidia GeForce GTX 260 (using Nouveau)
Lippy
Level 2
Level 2
 
Posts: 68
Joined: Thu Oct 06, 2011 12:28 pm

Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests